%This code replicates Table 4 of the paper
%%----------------------------------------------
%%Pancrazi 2014 ("The Heterogenous Great Moderation", the European Economic
%Review)
%%-----------------------------------------------------------------
% ****** Please refer to that paper in case you are using these codes.******
%%-----------------------------------------------------------------


% by: Roberto Pancrazi (2014)

% It compute the values of the three SCI tests (SAW,SEW,SN) and their
% p-values for any choice of the periodicity of interest. 

% Vary the number of quarters QuarterHigh and QuarterLow to apply the tests
% to different set of frequencies.

clear all
clc 
close all

%LOAD DATA

[data]= xlsread('data');

%Y=consumption - investment - output
%Quarterly data
Y=data(:,2:4);
[T n]=size(Y);

QuarterHigh= 16;
QuarterLow =32;
%Lower Business Cycle (15-32 Quarters) 
wL          =2*pi/QuarterLow;
wH          =2*pi/QuarterHigh;
N           =500;
steptao     =0.01;

[W_APL,W_EXP,W_NYB,pvaluesAPL,pvaluesEXP,pvaluesNYB]=Sci_Tests_Function(Y,wL,wH,N,steptao)

