%This function compute the autocovariances (cross) of a vector at lag s
% input= Y series stucked in col (T,k)
%        s=the lag of the autocov

% output= Matrix of Autocov (k,k) at lag s

%ORIGINAL VERSION
function[R]=VECTORautocov(Y,s)

[T,k]=size(Y);
meanY=mean(Y);
R=zeros(k,k);
if s>0 || s==0
for i=1:k
    for j=1:k
        Spart=0;
        for t=1:T-s
            Spart=Spart+ (Y(t,i)-meanY(1,i))*(Y(t+s,j)-meanY(1,j));
        end;
        R(i,j)=Spart/T;               
    end;
end;
end

if s<0
for i=1:k
    for j=1:k

        Spart=0;  
        for t=-s+1:T
            Spart=Spart+ (Y(t,i)-meanY(1,i))*(Y(t+s,j)-meanY(1,j));
        end;
        
        R(i,j)=Spart/T;               
    end;
end;
end